<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/include/AVSCommon/Utils/Logger/LoggerUtils.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a></li><li class="navelem"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a></li><li class="navelem"><a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">LoggerUtils.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_logger_utils_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_LOGGER_LOGGERUTILS_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_LOGGER_LOGGERUTILS_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;chrono&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_logger_8h.html">AVSCommon/Utils/Logger/Logger.h</a>&quot;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span>utils {</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span>logger {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keywordtype">void</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a73898128718e3f94ebc23442131c3491">acsdkDebug9</a>(<span class="keyword">const</span> LogEntry&amp; entry);</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keywordtype">void</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a3d1d4c950f2579bbd1ece4018b799591">acsdkDebug8</a>(<span class="keyword">const</span> LogEntry&amp; entry);</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="keywordtype">void</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a540973d2fb23d4842a2907db342a88f1">acsdkDebug7</a>(<span class="keyword">const</span> LogEntry&amp; entry);</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="keywordtype">void</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a3250f525c7a122af099939b4847254aa">acsdkDebug6</a>(<span class="keyword">const</span> LogEntry&amp; entry);</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="keywordtype">void</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a86b4eb37d5ac51f4627b8ff58e43c905">acsdkDebug5</a>(<span class="keyword">const</span> LogEntry&amp; entry);</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="keywordtype">void</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a7b4d4a2c320ebaaa0db09be5d036fb1c">acsdkDebug4</a>(<span class="keyword">const</span> LogEntry&amp; entry);</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="keywordtype">void</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#aaffe8a89f725669c2a35a30db4ab3ac5">acsdkDebug3</a>(<span class="keyword">const</span> LogEntry&amp; entry);</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="keywordtype">void</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a770a62935e8cb27de9f3b83c80fd12e0">acsdkDebug2</a>(<span class="keyword">const</span> LogEntry&amp; entry);</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="keywordtype">void</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a3677bc7de5388e8dc9ea72f15ea846bf">acsdkDebug1</a>(<span class="keyword">const</span> LogEntry&amp; entry);</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="keywordtype">void</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a96dabc5a5f22fcf75384e554d5ce83c6">acsdkDebug0</a>(<span class="keyword">const</span> LogEntry&amp; entry);</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="keywordtype">void</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a9fec9fe332755ee16641eb0aa56f943b">acsdkDebug</a>(<span class="keyword">const</span> LogEntry&amp; entry);</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;<span class="keywordtype">void</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#aaa53594353007d683130cc7f81598378">acsdkInfo</a>(<span class="keyword">const</span> LogEntry&amp; entry);</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;<span class="keywordtype">void</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#aee1d479f8ea734cc62d98306993ccf8a">acsdkWarn</a>(<span class="keyword">const</span> LogEntry&amp; entry);</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;<span class="keywordtype">void</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a2a506c9c75542fad6d29643e3e3cf55d">acsdkError</a>(<span class="keyword">const</span> LogEntry&amp; entry);</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;<span class="keywordtype">void</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a73148d2591a1f326da51b65d6b02c8ac">acsdkCritical</a>(<span class="keyword">const</span> LogEntry&amp; entry);</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;<span class="keywordtype">void</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a16a7d59de6eaa9fd4b9a7d8633249e8d">logEntry</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a> level, <span class="keyword">const</span> LogEntry&amp; entry);</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;<span class="keywordtype">void</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a07622bd1de5d084d735c32e22e8d3553">dumpBytesToStream</a>(std::ostream&amp; stream, <span class="keyword">const</span> <span class="keywordtype">char</span>* prefix, <span class="keywordtype">size_t</span> width, <span class="keyword">const</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span>* data, <span class="keywordtype">size_t</span> size);</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;}  <span class="comment">// namespace logger</span></div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;}  <span class="comment">// namespace utils</span></div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_LOGGER_LOGGERUTILS_H_</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_html_a73148d2591a1f326da51b65d6b02c8ac"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a73148d2591a1f326da51b65d6b02c8ac">alexaClientSDK::avsCommon::utils::logger::acsdkCritical</a></div><div class="ttdeci">void acsdkCritical(const LogEntry &amp;entry)</div><div class="ttdef"><b>Definition:</b> LoggerUtils.cpp:84</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_html_a3677bc7de5388e8dc9ea72f15ea846bf"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a3677bc7de5388e8dc9ea72f15ea846bf">alexaClientSDK::avsCommon::utils::logger::acsdkDebug1</a></div><div class="ttdeci">void acsdkDebug1(const LogEntry &amp;entry)</div><div class="ttdef"><b>Definition:</b> LoggerUtils.cpp:60</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_html_aee1d479f8ea734cc62d98306993ccf8a"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#aee1d479f8ea734cc62d98306993ccf8a">alexaClientSDK::avsCommon::utils::logger::acsdkWarn</a></div><div class="ttdeci">void acsdkWarn(const LogEntry &amp;entry)</div><div class="ttdef"><b>Definition:</b> LoggerUtils.cpp:76</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_html_a4707ccb25a60922c47a5d8ee257b85e6"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">alexaClientSDK::avsCommon::utils::logger::Level</a></div><div class="ttdeci">Level</div><div class="ttdef"><b>Definition:</b> Level.h:29</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_html_a540973d2fb23d4842a2907db342a88f1"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a540973d2fb23d4842a2907db342a88f1">alexaClientSDK::avsCommon::utils::logger::acsdkDebug7</a></div><div class="ttdeci">void acsdkDebug7(const LogEntry &amp;entry)</div><div class="ttdef"><b>Definition:</b> LoggerUtils.cpp:36</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_html_a73898128718e3f94ebc23442131c3491"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a73898128718e3f94ebc23442131c3491">alexaClientSDK::avsCommon::utils::logger::acsdkDebug9</a></div><div class="ttdeci">void acsdkDebug9(const LogEntry &amp;entry)</div><div class="ttdef"><b>Definition:</b> LoggerUtils.cpp:28</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_html_a96dabc5a5f22fcf75384e554d5ce83c6"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a96dabc5a5f22fcf75384e554d5ce83c6">alexaClientSDK::avsCommon::utils::logger::acsdkDebug0</a></div><div class="ttdeci">void acsdkDebug0(const LogEntry &amp;entry)</div><div class="ttdef"><b>Definition:</b> LoggerUtils.cpp:64</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_html_a7b4d4a2c320ebaaa0db09be5d036fb1c"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a7b4d4a2c320ebaaa0db09be5d036fb1c">alexaClientSDK::avsCommon::utils::logger::acsdkDebug4</a></div><div class="ttdeci">void acsdkDebug4(const LogEntry &amp;entry)</div><div class="ttdef"><b>Definition:</b> LoggerUtils.cpp:48</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_html_a9fec9fe332755ee16641eb0aa56f943b"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a9fec9fe332755ee16641eb0aa56f943b">alexaClientSDK::avsCommon::utils::logger::acsdkDebug</a></div><div class="ttdeci">void acsdkDebug(const LogEntry &amp;entry)</div><div class="ttdef"><b>Definition:</b> LoggerUtils.cpp:68</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_html_aaffe8a89f725669c2a35a30db4ab3ac5"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#aaffe8a89f725669c2a35a30db4ab3ac5">alexaClientSDK::avsCommon::utils::logger::acsdkDebug3</a></div><div class="ttdeci">void acsdkDebug3(const LogEntry &amp;entry)</div><div class="ttdef"><b>Definition:</b> LoggerUtils.cpp:52</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_html_a3d1d4c950f2579bbd1ece4018b799591"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a3d1d4c950f2579bbd1ece4018b799591">alexaClientSDK::avsCommon::utils::logger::acsdkDebug8</a></div><div class="ttdeci">void acsdkDebug8(const LogEntry &amp;entry)</div><div class="ttdef"><b>Definition:</b> LoggerUtils.cpp:32</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_html_a770a62935e8cb27de9f3b83c80fd12e0"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a770a62935e8cb27de9f3b83c80fd12e0">alexaClientSDK::avsCommon::utils::logger::acsdkDebug2</a></div><div class="ttdeci">void acsdkDebug2(const LogEntry &amp;entry)</div><div class="ttdef"><b>Definition:</b> LoggerUtils.cpp:56</div></div>
<div class="ttc" id="_logger_8h_html"><div class="ttname"><a href="_logger_8h.html">Logger.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_html_a86b4eb37d5ac51f4627b8ff58e43c905"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a86b4eb37d5ac51f4627b8ff58e43c905">alexaClientSDK::avsCommon::utils::logger::acsdkDebug5</a></div><div class="ttdeci">void acsdkDebug5(const LogEntry &amp;entry)</div><div class="ttdef"><b>Definition:</b> LoggerUtils.cpp:44</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_html_aaa53594353007d683130cc7f81598378"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#aaa53594353007d683130cc7f81598378">alexaClientSDK::avsCommon::utils::logger::acsdkInfo</a></div><div class="ttdeci">void acsdkInfo(const LogEntry &amp;entry)</div><div class="ttdef"><b>Definition:</b> LoggerUtils.cpp:72</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_html_a16a7d59de6eaa9fd4b9a7d8633249e8d"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a16a7d59de6eaa9fd4b9a7d8633249e8d">alexaClientSDK::avsCommon::utils::logger::logEntry</a></div><div class="ttdeci">void logEntry(Level level, const LogEntry &amp;entry)</div><div class="ttdef"><b>Definition:</b> LoggerUtils.cpp:88</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_html_a2a506c9c75542fad6d29643e3e3cf55d"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a2a506c9c75542fad6d29643e3e3cf55d">alexaClientSDK::avsCommon::utils::logger::acsdkError</a></div><div class="ttdeci">void acsdkError(const LogEntry &amp;entry)</div><div class="ttdef"><b>Definition:</b> LoggerUtils.cpp:80</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_html_a3250f525c7a122af099939b4847254aa"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a3250f525c7a122af099939b4847254aa">alexaClientSDK::avsCommon::utils::logger::acsdkDebug6</a></div><div class="ttdeci">void acsdkDebug6(const LogEntry &amp;entry)</div><div class="ttdef"><b>Definition:</b> LoggerUtils.cpp:40</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_html_a07622bd1de5d084d735c32e22e8d3553"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a07622bd1de5d084d735c32e22e8d3553">alexaClientSDK::avsCommon::utils::logger::dumpBytesToStream</a></div><div class="ttdeci">void dumpBytesToStream(std::ostream &amp;stream, const char *prefix, size_t width, const unsigned char *data, size_t size)</div><div class="ttdef"><b>Definition:</b> LoggerUtils.cpp:93</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
